### Method

# Clutter Actor get_paint_box

#### Declaration [src]

    gboolean
    clutter_actor_get_paint_box (
      ClutterActor* self,
      ClutterActorBox* box
    )

#### Description [src]

Retrieves the paint volume of the passed `ClutterActor`, and transforms it into a 2D bounding box in stage coordinates.

This function is useful to determine the on screen area occupied by the actor. The box is only an approximation and may often be considerably larger due to the optimizations used to calculate the box. The box is never smaller though, so it can reliably be used for culling.

There are times when a 2D paint box can’t be determined, e.g. because the actor isn’t yet parented under a stage or because the actor is unable to determine a paint volume.

#### Parameters

`box`

  Type: `ClutterActorBox`

  Return location for a `ClutterActorBox`.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if a 2D paint box could be determined, else `FALSE`.